Update Data Masking Rule Connections
curl --request PUT \
--url https://use.hoop.dev/api/connections/{nameOrID}/datamasking-rules \
--header 'Content-Type: application/json' \
--data '
[
{
"status": "active",
"rule_id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
}
]
'import requests
url = "https://use.hoop.dev/api/connections/{nameOrID}/datamasking-rules"
payload = [
{
"status": "active",
"rule_id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
}
]
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify([{status: 'active', rule_id: '15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7'}])
};
fetch('https://use.hoop.dev/api/connections/{nameOrID}/datamasking-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"connection_id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"rule_id": "15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7",
"status": "active"
}
]{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Connections
Update Data Masking Rule Connections
Update Data Masking Rule Connections
PUT
/
connections
/
{nameOrID}
/
datamasking-rules
Update Data Masking Rule Connections
Body
application/json
The request body resource
Response
OK
The unique identifier of the connection
Example:
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
The unique identifier of the data masking rule connection
Example:
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
The unique identifier of the data masking rule
Example:
"15B5A2FD-0706-4A47-B1CF-B93CCFC5B3D7"
The status of the data masking rule connection
Available options:
active, inactive Example:
"active"
Was this page helpful?
⌘I